# generated by cabal-rpm-0.12.6
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name HsYAML
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        0.1.1.3
Release:        1.0.riscv64%{?dist}
Summary:        Pure Haskell YAML 1.2 parser

License:        GPLv2+
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-text-devel
# End cabal-rpm deps

%description
'HsYAML' is a [YAML 1.2](http://yaml.org/spec/1.2/spec.html) parser
implementation for Haskell.

Features of 'HsYAML' include:

* Pure Haskell implementation with small dependency footprint and emphasis on
strict compliance with the [YAML 1.2
specification](http://yaml.org/spec/1.2/spec.html). * Direct decoding to native
Haskell types via ('aeson'-inspired) typeclass-based API (see "Data.YAML").
* Support for constructing custom YAML node graph representation (including
support for cyclic YAML data structures). * Support for the standard (untyped)
/Failsafe/, (strict) /JSON/, and (flexible) /Core/ "schemas" providing implicit
typing rules as defined in the YAML 1.2 specification (including support for
user-defined custom schemas). * Event-based API resembling LibYAML's
Event-based API (see "Data.YAML.Event"). * Low-level API access to lexical
token-based scanner (see "Data.YAML.Token"). .


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE.GPLv2
%license LICENSE.GPLv3


%files devel -f %{name}-devel.files
%doc ChangeLog.md


%changelog
* Thu Feb 28 2019 David Abdurachmanov <david.abdurachmanov@gmail.com> - 0.1.1.3-1.0.riscv64
- spec file generated by cabal-rpm-0.12.6
- needed for newer version of pandoc
